Restrict referenced related_operations to identifier indexes < the current operation_identifier.index. This ensures there exists a clear DAG-structure of relations. Since operations are one-sided, one could imagine relating operations in a single transfer or linking operations in a call tree.

export
interface

  RosettaRelatedOperation

### Hierarchy

- RosettaRelatedOperation

## Index

### Properties

- index
- network_index

## Properties

### index

index: number

- Defined in src/generated/models/RosettaRelatedOperation.ts:27

Describes the index of related operation.

memberof

  RosettaRelatedOperation

### Optional network_index

network_index: number

- Defined in src/generated/models/RosettaRelatedOperation.ts:33

Some blockchains specify an operation index that is essential for client use. network_index should not be populated if there is no notion of an operation index in a blockchain (typically most account-based blockchains).

memberof

  RosettaRelatedOperation

Generated using TypeDoc